jQuery(document).ready(function(){
	$("#idGrupoEliminar").val(idGrupoEliminarKK);
});

$("#y42bEliminacionGrupoAccept").click(function(){
	if ($("#y42bMasivos_listaGrupos").val()==null || $("#y42bMasivos_listaGrupos").val()==""){
		$.rup_messages("msgConfirm",{
			   title:$.rup.i18n.app.msg.confirmacion,
			   message: $.rup.i18n.app.msg.gruposNoSeleccionados,
			   OKFunction : function () {
				   y42bEliminarGrupo_AsociarEntidadesAGrupo();
				}
		});	
	}else{
		y42bEliminarGrupo_AsociarEntidadesAGrupo();
	}
});


$("#y42bEliminacionGrupoCancelar").click(function(){
	//parent jsp element
	$("#resultadoMassiveActionDialog").val("CANCEL");
	$("#eliminacionActionDialog").dialog("close");
	
});


$("#group_tree_eliminacion").dynatree({
	initAjax: {
		url: "../entidad/groupTree"
		, data: {entidadId: "", grupos: ""} // Optional arguments to append to the url

	},
	activeVisible: true, // Make sure, active nodes are visible (expanded).
	checkbox: true, // Show checkboxes.
	selectMode: 2, // 1:single, 2:multi, 3:multi-hier
	onClick: function(node, event) {
		// We should not toggle, if target was "checkbox", because this
		// would result in double-toggle (i.e. no toggle)
		if( node.getEventTargetType(event) == "title" ) {
			node.toggleSelect();
		}
	},
	onSelect: function(select, node) {
		// Display list of selected nodes
		var selNodes = node.tree.getSelectedNodes();
		// convert to key array
		var keyList = $.map(selNodes, function(node){
			return node.data.key;
		});
		
		$("#y42bMasivos_listaGrupos").val(keyList);
		//saveNodeGrupos(select, node);
		
	},
	onPostInit: function(isReloading, isError) {
    	$("#group_tree_eliminacion").dynatree("getRoot").visit(function(node){
	   		 node.expand(false);
	   		 
	   		 if (node.data.key==$("#idGrupoEliminar").val()){
	   			//debugger;
	   			console.log("node key "+node.data.key);
	   			/*node.data.unselectable = true; //make it unselectable
	   			node.data.hideCheckbox = true; //hide the checkbox (more for UI purposes)
	   			node.render(true);*/
	   			$(node.li).hide(); 
	   		 }
	   		 
    	});
	},
	// The following options are only required, if we have more than one tree on one page:
	cookieId: "group_list_dynatree",
	idPrefix: "group_list_dynatree"
});



//botones contraer y expandir arbol 
$("#y42bgroup_tree_eliminacion_expandir").click(function () {
	$("#group_tree_eliminacion").dynatree("getRoot").visit(function(node){
		 node.expand(true);
	});
	return false;
}); 

$("#y42bgroup_tree_eliminacion_contraer").click(function () {
	$("#group_tree_eliminacion").dynatree("getRoot").visit(function(node){
		 node.expand(false);
	});
	return false;
}); 


function y42bEliminarGrupo_AsociarEntidadesAGrupo(){
	
	var listaGrupos = $("#y42bMasivos_listaGrupos").val();

	if (listaGrupos ==""){
		listaGrupos = "ROOT";
	}
	
	url="../grupos/moveEntidadesAGrupo?envioId="+$("#idGrupoEliminar").val();
	url=url + "&listaGrupos="+listaGrupos;
	
	$.ajax({
		type : 'GET',
		url : url,
		error : function(jqXHR, textStatus, errorThrown) {
			$("#acciones_avisos").rup_feedback("option", "delay",null);
			$("#acciones_avisos").rup_feedback("set",jqXHR.responseText, "error");
		},
		success : function(data, textStatus, jqXHR) {
			$("#acciones_avisos").rup_feedback("option", "delay",800);
			$("#acciones_avisos").rup_feedback("set", "ok", "ok");
			$("#resultadoMassiveActionDialog").val("ACEPTAR");
			$("#eliminacionActionDialog").dialog("close");
			
			//Recargar mantenimiento con el foco en root
			location.href = "/y42bVistaWar/mant/vista?idBusqueda=G_ROOT";	
		}
	});
	
}

